# Class SnapshotComparer

java.lang.Object
org.apache.zookeeper.server.SnapshotComparer

public class SnapshotComparer extends Object
SnapshotComparer is a tool that loads and compares two snapshots with configurable threshold and various filters, and outputs information about the delta. The delta includes specific znode paths added, updated, deleted comparing one snapshot to another. It's useful in use cases that involve snapshot analysis, such as offline data consistency checking, and data trending analysis (e.g. what's growing under which zNode path during when). Only outputs information about permanent nodes, ignoring both sessions and ephemeral nodes.

## Method Summary

Modifier and Type
Method
Description
`static void`
`main(String[] args)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### main

public static void main(String[] args) throws Exception

Throws:
  `Exception`